Package Gnumed :: Package business :: Module gmProviderInbox |
[frames] | no frames]

# Module gmProviderInbox

source code

GNUmed provider inbox middleware.

This should eventually end up in a class cPractice.

Version: $Revision: 1.14 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL

Classes
| cInboxMessage
| cProviderInbox

Functions
get_inbox_messages(pk_staff=None, pk_patient=None, include_without_provider=False, order_by=None) | source code
create_inbox_message(message_type=None, subject=None, patient=None, staff=None) | source code
delete_inbox_message(inbox_message=None) | source code
create_inbox_item_type(message_type=None, category=`u'``clinical``'`) | source code

Variables
| __package__ = ``'``Gnumed.business``'``

Imports: sys, gmPG2, gmBusinessDBObject, gmTools, gmDateTime, gmStaff